# Update Endpoint - UpdateJobMaskById
Updates metadata of specific elo mask that is used by an sync job for keywording.
# HTTP Request
One of the following requests should be made:
PUT /odata/syncjobsmasks({key})
PUT /odata/syncjobsmasks/{key}
# Path parameters
| Name | Description |
|---|---|
| key | required. Id of mask that should be updated. |
# Query parameters
| Name | Description |
|---|---|
| repository | optional. Destination repository key. |
# Request headers
| Name | Description |
|---|---|
| Authorization | required. Bearer {token}. See authorization |
| Content-Type | required. application/json |
# Request body
Information
Only properties with new values need to be specified, unmodified properties are optional and can be skipped.
Information
If readonly properties are specified the response will always be a 400 Bad Request error.
# Responses
| Code | Description | Type |
|---|---|---|
200 | If the update of sync job elo mask was successful. | MaskEntity |
400 | If update contains data for properties which values are immutable or if no data for the update could be loaded from the request. | |
500 | When an server error occurs during the update of sync job elo mask. |
# Example
# Request
The following is an example of how to call the endpoint:
PUT /odata/syncjobsmasks(1)?repository=repo1
Content-Type: application/json
{
"maskId": 1,
"type": "DocMask",
"syncJobId": 2,
"name": "E-Mail",
"eloMaskId": "2"
}
# Response
The following example shows the response:
Information
The response object is truncated for clarity. Default properties will be returned from the call.
{
"maskId":1,
"name":"E-Mail",
"eloMaskId":"2",
"type":"DocMask",
"syncJobId":2
}